export declare const VERIFICATION_ERROR = "VERIFICATION_ERROR";
export declare const SEVERITY_INFO = 0;
export declare const SEVERITY_WARNING = 1;
export declare const SEVERITY_FAILURE = 2;
declare class VerificationError extends Error {
    type: string;
    severity: number;
    static SEVERITY_INFO: number;
    static SEVERITY_WARNING: number;
    static SEVERITY_FAILURE: number;
    static TYPES: {
        GENERAL_ERROR: string;
        TRANSACTION_PENDING: string;
    };
    constructor(message: string, type?: string, severity?: number);
}
export default VerificationError;
